{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle 'Importer des utilisateurs via csv' %}

{% block pageActions %}
    {{ macro.backButton('user_index') }}
{% endblock %}

{% block pageDetails %}
    <div class="alert alert-info">
        Information : Votre csv doit être construit de la manière suivante : <br>
        Ne pas mettre les noms des colonnes mais directement les utilisateurs <br>
        Le séparateur est le caractère "," <br>

        champ 1 : Civilité
        <ul>
            <li>Non précisé : 0</li>
            <li>Madame : 1</li>
            <li>Monsieur : 2</li>
        </ul>
        champ 2 : Nom d'utilisateur <br>
        champ 3 : Prénom <br>
        champ 4 : Nom <br>
        champ 5 : Email <br>
        champ 6 : Profil
        <ul>
            <li>Gestionnaire de séance : 1</li>
            <li>Administrateur : 2</li>
            <li>Élu : 3</li>
            <li>Personnel administratif : 4</li>
            <li>Invité : 5</li>
            <li>Suppléant : 6</li>
        </ul>
        champ 7 : Numéro de téléphone. Le format du numéro doit être le suivant : 06XXXXXXXX ou 07XXXXXXXX <br>
        champ 8 : Titre (uniquement si l'utilisateur est un élu) <br>
        champ 9 : Nom d'utilisateur du suppléant (uniquement si l'utilisateur est un élu) <br>
        champ 10 : Commune (uniquement si l'utilisateur est un élu) <br>
        <br>
        Exemple : <br>
        2,d.martin,Damien,Martin,d.martin@exemple.org,2,0612345678<br>
        1,e.durant,Emilie,Durant,e.durant@exemple.org,3,0709455321, conseiller, n.pascal <br>
        <b>Attention :</b> Si un acteur existe déja alors il ne sera pas modifié.
    </div>
{% endblock %}

{% block pageForm %}
    {{ form_start(form) }}
    {{ form_row(form.csv) }}
    {{ form_errors(form.csv) }}

    <div class="alert alert-warning">
        Attention : L'import des utilisateurs peut durer plusieurs dizaines de secondes
    </div>

    <div class="float-end">
        {% block pageSaveReturn %}{{ macro.save('user_index', {}, 'Importer le csv', 'fa fa-plus-circle') }}{% endblock %}
    </div>

    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    <script>
        let freezeClick = false;

        let formCsv = document.getElementsByName("csv")[0];
        formCsv.onsubmit = () => {
            freezeClick = true;
        }

        document.addEventListener("click", e => {
            if (freezeClick) {
                console.log('clicks are disabled');
                e.stopPropagation();
                e.preventDefault();
            }
        }, true);
    </script>
{% endblock %}
